services:
  spider-net:
    build: spider-net
    network_mode: host
    restart: unless-stopped
    environment:
      SPIDER_HOSTNAME: spider

  spider-cam:
    build: spider-cam
    restart: unless-stopped
    privileged: true
    devices:
      - /dev/v4l-subdev0
      - /dev/dma_heap
      - /dev/video0
      - /dev/video10
      - /dev/video11
      - /dev/video12
      - /dev/video13
      - /dev/video14
      - /dev/video15
      - /dev/video16
      - /dev/video18
      - /dev/video19
      - /dev/video20
      - /dev/video21
      - /dev/video22
      - /dev/video23
      - /dev/video31
      - /dev/media0
      - /dev/media1
      - /dev/media2
      - /dev/media3
      - /dev/media4

  spider-host:
    build: spider-host
    restart: unless-stopped
    devices:
      - /dev/i2c-0
      - /dev/i2c-1

  docker-socat:
    build: docker-socat
    restart: unless-stopped
    ports:
      - "2345:2375/tcp"
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
